Package org.springframework.aop.framework

# Interface AdvisorChainFactory

All Known Implementing Classes:
  `DefaultAdvisorChainFactory`

public interface AdvisorChainFactory
Factory interface for advisor chains.

Author:
  Rod Johnson, Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`List<Object>`
`getInterceptorsAndDynamicInterceptionAdvice(Advised config, Method method, Class<?> targetClass)`
Determine a list of `MethodInterceptor` objects for the given advisor chain configuration.

## Method Details

### getInterceptorsAndDynamicInterceptionAdvice

List<Object> getInterceptorsAndDynamicInterceptionAdvice(Advised config, Method method, @Nullable Class<?> targetClass)
Determine a list of `MethodInterceptor` objects for the given advisor chain configuration.

Parameters:
  `config` - the AOP configuration in the form of an Advised object
  `method` - the proxied method
  `targetClass` - the target class (may be `null` to indicate a proxy without target object, in which case the method's declaring class is the next best option)
Returns:
  a List of MethodInterceptors (may also include InterceptorAndDynamicMethodMatchers)